Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetChatEventLog

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.ChatEvents>
it.tdlight.jni.TdApi.GetChatEventLog

Enclosing class:
  TdApi

public static final class TdApi.GetChatEventLog extends TdApi.Function<TdApi.ChatEvents>
Returns a list of service actions taken by chat members and administrators in the last 48 hours. Available only for supergroups and channels. Requires administrator rights. Returns results in reverse chronological order (i.e., in order of decreasing eventId).

Returns `ChatEvents`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.ChatEventLogFilters`
`filters`
The types of events to return; pass null to get chat events of all types.
`long`
`fromEventId`
Identifier of an event from which to return results.
`int`
`limit`
The maximum number of events to return; up to 100.
`String`
`query`
Search query by which to filter events.
`long[]`
`userIds`
User identifiers by which to filter events.

## Constructor Summary

Constructors
Constructor
Description
`GetChatEventLog()`
Returns a list of service actions taken by chat members and administrators in the last 48 hours.
`GetChatEventLog(long chatId, String query, long fromEventId, int limit, TdApi.ChatEventLogFilters filters, long[] userIds)`
Returns a list of service actions taken by chat members and administrators in the last 48 hours.
`GetChatEventLog(DataInput input)`
Returns a list of service actions taken by chat members and administrators in the last 48 hours.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### query

public String query
Search query by which to filter events.

### fromEventId

public long fromEventId
Identifier of an event from which to return results. Use 0 to get results from the latest events.

### limit

public int limit
The maximum number of events to return; up to 100.

### filters

public TdApi.ChatEventLogFilters filters
The types of events to return; pass null to get chat events of all types.

### userIds

public long[] userIds
User identifiers by which to filter events. By default, events relating to all users will be returned.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### GetChatEventLog

public GetChatEventLog()
Returns a list of service actions taken by chat members and administrators in the last 48 hours. Available only for supergroups and channels. Requires administrator rights. Returns results in reverse chronological order (i.e., in order of decreasing eventId).

Returns `ChatEvents`

### GetChatEventLog

public GetChatEventLog(long chatId, String query, long fromEventId, int limit, TdApi.ChatEventLogFilters filters, long[] userIds)
Returns a list of service actions taken by chat members and administrators in the last 48 hours. Available only for supergroups and channels. Requires administrator rights. Returns results in reverse chronological order (i.e., in order of decreasing eventId).

Returns `ChatEvents`

Parameters:
  `chatId` - Chat identifier.
  `query` - Search query by which to filter events.
  `fromEventId` - Identifier of an event from which to return results. Use 0 to get results from the latest events.
  `limit` - The maximum number of events to return; up to 100.
  `filters` - The types of events to return; pass null to get chat events of all types.
  `userIds` - User identifiers by which to filter events. By default, events relating to all users will be returned.

  Returns `ChatEvents`

### GetChatEventLog

public GetChatEventLog(DataInput input) throws IOException
Returns a list of service actions taken by chat members and administrators in the last 48 hours. Available only for supergroups and channels. Requires administrator rights. Returns results in reverse chronological order (i.e., in order of decreasing eventId).

Returns `ChatEvents`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`